Skip to content

List decline and withdrawal reasons

Request

The reasons the bank records when a loan is declined or withdrawn. Send a code as reasonCode in declineDetails or withdrawDetails of PATCH /loans/{id}. A bank can have no withdrawal reasons.

Security
ApiKeyAuth
Query
purposestringrequired

DECLINE: the reasons for declineDetails of a move to Declined. WITHDRAW: the reasons for withdrawDetails of a move to Withdrawn.

Enum:"DECLINE""WITHDRAW"
curl -i -X GET \
  'https://api.pioneerft.com/api/public/v1/reasons?purpose=DECLINE' \
  -H 'Authorization: Bearer <YOUR_API Key_HERE>'

Responses

The reasons of the purpose

Bodyapplication/json
dataArray of objects(PublicReason)
Response
{ "data": [ { "code": "string", "name": "string", "category": "string", "type": "REGULATORY" } ] }